IOSS 2.0

Functions
anonymous_namespace{Ioss_ConcreteVariableType.C} Namespace Reference

## Functions
const std::string | X ()
const std::string | Y ()
const std::string | Z ()
const std::string | Q ()
const std::string | S ()
const std::string | XX ()
const std::string | YY ()
const std::string | ZZ ()
const std::string | XY ()
const std::string | YZ ()
const std::string | ZX ()
const std::string | YX ()
const std::string | ZY ()
const std::string | XZ ()
const std::string | invalid ()
const std::string | scalar ()
const std::string | vector_2d ()
const std::string | vector_3d ()
const std::string | quaternion_2d ()
const std::string | quaternion_3d ()
const std::string | full_tensor_36 ()
const std::string | full_tensor_32 ()
const std::string | full_tensor_22 ()
const std::string | full_tensor_16 ()
const std::string | full_tensor_12 ()
const std::string | sym_tensor_33 ()
const std::string | sym_tensor_31 ()
const std::string | sym_tensor_21 ()
const std::string | sym_tensor_13 ()
const std::string | sym_tensor_11 ()
const std::string | sym_tensor_10 ()
const std::string | asym_tensor_03 ()
const std::string | asym_tensor_02 ()
const std::string | asym_tensor_01 ()
const std::string | matrix_22 ()
const std::string | matrix_33 ()

## Function Documentation

## ◆ asym_tensor_01()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::asym_tensor_01 | ( |  | ) |

## ◆ asym_tensor_02()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::asym_tensor_02 | ( |  | ) |

## ◆ asym_tensor_03()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::asym_tensor_03 | ( |  | ) |

## ◆ full_tensor_12()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::full_tensor_12 | ( |  | ) |

## ◆ full_tensor_16()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::full_tensor_16 | ( |  | ) |

## ◆ full_tensor_22()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::full_tensor_22 | ( |  | ) |

## ◆ full_tensor_32()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::full_tensor_32 | ( |  | ) |

## ◆ full_tensor_36()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::full_tensor_36 | ( |  | ) |

## ◆ invalid()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::invalid | ( |  | ) |

## ◆ matrix_22()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::matrix_22 | ( |  | ) |

## ◆ matrix_33()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::matrix_33 | ( |  | ) |

## ◆ Q()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::Q | ( |  | ) |

## ◆ quaternion_2d()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::quaternion_2d | ( |  | ) |

## ◆ quaternion_3d()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::quaternion_3d | ( |  | ) |

## ◆ S()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::S | ( |  | ) |

## ◆ scalar()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::scalar | ( |  | ) |

## ◆ sym_tensor_10()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::sym_tensor_10 | ( |  | ) |

## ◆ sym_tensor_11()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::sym_tensor_11 | ( |  | ) |

## ◆ sym_tensor_13()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::sym_tensor_13 | ( |  | ) |

## ◆ sym_tensor_21()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::sym_tensor_21 | ( |  | ) |

## ◆ sym_tensor_31()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::sym_tensor_31 | ( |  | ) |

## ◆ sym_tensor_33()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::sym_tensor_33 | ( |  | ) |

## ◆ vector_2d()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::vector_2d | ( |  | ) |

## ◆ vector_3d()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::vector_3d | ( |  | ) |

## ◆ X()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::X | ( |  | ) |

## ◆ XX()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::XX | ( |  | ) |

## ◆ XY()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::XY | ( |  | ) |

## ◆ XZ()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::XZ | ( |  | ) |

## ◆ Y()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::Y | ( |  | ) |

## ◆ YX()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::YX | ( |  | ) |

## ◆ YY()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::YY | ( |  | ) |

## ◆ YZ()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::YZ | ( |  | ) |

## ◆ Z()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::Z | ( |  | ) |

## ◆ ZX()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::ZX | ( |  | ) |

## ◆ ZY()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::ZY | ( |  | ) |

## ◆ ZZ()

const std::string anonymous_namespace{Ioss_ConcreteVariableType.C}::ZZ | ( |  | ) |